Share
Get Shared Agent
Get a shared agent by token (public, no auth required)
Get a shared agent by token (public, no auth required)
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
token*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/share/string"{ "agent": { "dataSources": [ { "dataSource": { "id": "string", "name": "string", "type": "SQLITE" }, "agentId": "string", "createdAt": "string", "dataSourceId": "string", "id": "string" } ], "shortcuts": [ { "agentId": "string", "createdAt": "string", "description": null, "disableModelInvocation": true, "icon": null, "id": "string", "immediate": true, "integrations": "string", "name": "string", "prefix": "string", "prompt": "string", "sortOrder": 0, "updatedAt": "string", "userInvokable": true, "visibility": "string" } ], "capabilities": "string", "createdAt": "string", "description": null, "grounding": "string", "id": "string", "instructions": "string", "modelId": null, "name": "string", "providerId": null, "teamId": "string", "transcriptionModelId": null, "updatedAt": "string" }, "shareLink": { "id": "string", "name": "string", "token": "string" }}{ "cause": { "code": "api/invalid-json", "detail": "string" }, "message": "The request body is not valid JSON"}{ "cause": { "code": "share/not-found", "detail": "This share link does not exist or has been removed." }, "message": "Share link not found"}{ "cause": { "code": "api/unsupported-media-type", "detail": "GET requests cannot have a content type header" }, "message": "Unsupported Media Type"}